%?python_enable_dependency_generator
%define srcname nmstate
%define libname libnmstate

Name:           nmstate
Version:        0.1.1
Release:        6%{?dist}
Summary:        Declarative network manager API
License:        LGPLv2+
Source0:        cnv-nmstate-599518a14c90a5c652e12d204a1086f491d7e537.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  gnupg2
Requires:       python3-setuptools
Requires:       python3-%{libname} = %{?epoch:%{epoch}:}%{version}-%{release}

%description
NMState is a library with an accompanying command line tool that manages host
networking settings in a declarative manner and aimed to satisfy enterprise
needs to manage host networking through a northbound declarative API and multi
provider support on the southbound.


%package -n python3-%{libname}
Summary:        nmstate Python 3 API library
Requires:       NetworkManager-libnm
Requires:       python3-dbus
# Use Recommends for NetworkManager because only access to NM DBus is required,
# but NM could be running on a different host
Recommends:     NetworkManager
# Use Suggests for NetworkManager-ovs since it is only required for OVS support
Suggests:       NetworkManager-ovs


%description -n python3-%{libname}
This package contains the Python 3 library for nmstate.

%prep
%setup -q -n cnv-%{srcname}-599518a14c90a5c652e12d204a1086f491d7e537
sed -i -e '/^dbus-python$/d' requirements.txt

%build
%py3_build

%install
%py3_install

%files
%doc README.md
%doc examples/
%{python3_sitelib}/nmstatectl
%{_bindir}/nmstatectl
/usr/share/man/man8/nmstatectl.8.gz

%files -n python3-%{libname}
%license LICENSE
%{python3_sitelib}/%{libname}
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog

* Mon Dec 03 2019 Quique Llorente <ellorent@redhat.com> - 0.1.1-6
- Bump dist number to fix nmstate team collision

* Mon Dec 02 2019 Quique Llorente <ellorent@redhat.com> - 0.1.1-2
- Align with u/s nmstate-1.0 branch

* Thu Nov 08 2019 Quique Llorente <ellorent@redhat.com> - 0.1.1-1
- Upgrade to nmstate 0.1.1 and rhel 8.1

* Thu Oct 24 2019 Quique Llorente <ellorent@redhat.com> - 0.0.8-19
- Use source tarball with commit id

* Thu Oct 24 2019 Quique Llorente <ellorent@redhat.com> - 0.0.8-17
- Upgrade nmstate code to 5701bbe97e23e66f8966993fbe60b99e1796168b

* Fri Jul 26 2019 Quique Llorente <ellorent@redhat.com> - 0.0.8-16
- Build for CNV 2.2 rhel 8

* Fri Jul 26 2019 Gris Ge <fge@redhat.com> - 0.0.8-3
- Fix the license to meet Fedora/RHEL guideline.

* Fri Jul 26 2019 Gris Ge <fge@redhat.com> - 0.0.8-2
- Relicense to LGPL2.1+.

* Fri Jul 26 2019 Gris Ge <fge@redhat.com> - 0.0.8-1
- Upgrade to 0.0.8.

* Fri Jun 14 2019 Gris Ge <fge@redhat.com> - 0.0.7-1
- Upgrade to 0.0.7.

* Mon Apr 22 2019 Gris Ge <fge@redhat.com> - 0.0.5-3
- Add missing runtime dependency.

* Thu Mar 21 2019 Gris Ge <fge@redhat.com> - 0.0.5-2
- Rebuild to enable CI testing.

* Mon Mar 18 2019 Gris Ge <fge@redhat.com> - 0.0.5-1
- Initial release
